Bug 27408 - Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2
Summary: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26926
  Show dependency treegraph
 
Reported: 2021-01-12 10:21 UTC by Martin Renvoize
Modified: 2021-05-25 14:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This patch updates occurrences of input type="number" in intranet-tmpl/prog/en/modules/members/mancredit.tt to use 'input type="text" inputmode="numeric" pattern="^\d+(\.\d{2})?$"' as per the accessibility coding guideline ACC2.
Version(s) released in:
21.05.00


Attachments
Bug 27408: pdate intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.69 KB, patch)
2021-01-20 01:57 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27408: pdate intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.69 KB, patch)
2021-01-20 22:07 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.67 KB, patch)
2021-01-20 22:14 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.72 KB, patch)
2021-01-21 00:29 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.72 KB, patch)
2021-01-21 14:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27408: (follow-up) Updates to accommodate currency entry (1.89 KB, patch)
2021-01-21 14:37 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.77 KB, patch)
2021-02-18 18:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 27408: (follow-up) Updates to accommodate currency entry (1.94 KB, patch)
2021-02-18 18:31 UTC, David Nind
Details | Diff | Splinter Review
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2 (1.82 KB, patch)
2021-03-04 12:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27408: (follow-up) Updates to accommodate currency entry (2.00 KB, patch)
2021-03-04 12:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-01-12 10:21:38 UTC
We need to update input type="number" with reference to ACC2 on intranet-tmpl/prog/en/modules/members/mancredit.tt
Comment 1 Mazen Khallaf 2021-01-20 01:57:29 UTC
Created attachment 115396 [details] [review]
Bug 27408: pdate intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful
Comment 2 Owen Leonard 2021-01-20 17:04:52 UTC
There is more to do when converting a "type='number'" input: If present, the "step," "max," and "min" attributes should be removed too. They are invalid if applied to a standard text input. Example errors from the w3c validator:

Error: Attribute step not allowed on element input at this point.
Error: Attribute min not allowed on element input at this point.
Comment 3 Mazen Khallaf 2021-01-20 22:07:36 UTC
Created attachment 115467 [details] [review]
Bug 27408: pdate intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful
Comment 4 Mazen Khallaf 2021-01-20 22:14:40 UTC
Created attachment 115469 [details] [review]
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful
Comment 5 Owen Leonard 2021-01-21 00:29:34 UTC
Created attachment 115483 [details] [review]
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Owen Leonard 2021-01-21 00:34:01 UTC
Whoops, I was too hasty with this signoff. The regex validating the modified field doesn't allow for currency-formatted values like "1.00" because of the dot.
Comment 7 Owen Leonard 2021-01-21 14:37:53 UTC
Created attachment 115549 [details] [review]
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 8 Owen Leonard 2021-01-21 14:37:56 UTC
Created attachment 115550 [details] [review]
Bug 27408: (follow-up) Updates to accommodate currency entry

This patch makes two modifications in order to allow the entry of
currency strings (e.g. 1.25).
- Inputmode changed to "decimal"
- Regex pattern changed to "^\d+(\.\d{2})?$" as found in
  admin/debit_types.tt

To test, apply the patch and test entry of various strings in the manual
credit "amount" field. Confirm that the field only accepts digits or
digits followed by a decimal and two digits.
Comment 9 David Nind 2021-02-18 18:31:26 UTC
Created attachment 117014 [details] [review]
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: David Nind <david@davidnind.com>
Comment 10 David Nind 2021-02-18 18:31:29 UTC
Created attachment 117015 [details] [review]
Bug 27408: (follow-up) Updates to accommodate currency entry

This patch makes two modifications in order to allow the entry of
currency strings (e.g. 1.25).
- Inputmode changed to "decimal"
- Regex pattern changed to "^\d+(\.\d{2})?$" as found in
  admin/debit_types.tt

To test, apply the patch and test entry of various strings in the manual
credit "amount" field. Confirm that the field only accepts digits or
digits followed by a decimal and two digits.

Signed-off-by: David Nind <david@davidnind.com>
Comment 11 David Nind 2021-02-18 18:33:38 UTC
Testing notes:
- For step 2 of the test plan, input type="text" should be input type="number", the same as bug 27410
Comment 12 Katrin Fischer 2021-03-04 12:34:58 UTC
Created attachment 117707 [details] [review]
Bug 27408: Update intranet-tmpl/prog/en/modules/members/mancredit.tt for ACC2

Test Plan:

1. Open intranet-tmpl/prog/en/modules/members/mancredit.tt
2. Search for instances of 'input type="text"
3. If none are found then patch was successful

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2021-03-04 12:35:02 UTC
Created attachment 117708 [details] [review]
Bug 27408: (follow-up) Updates to accommodate currency entry

This patch makes two modifications in order to allow the entry of
currency strings (e.g. 1.25).
- Inputmode changed to "decimal"
- Regex pattern changed to "^\d+(\.\d{2})?$" as found in
  admin/debit_types.tt

To test, apply the patch and test entry of various strings in the manual
credit "amount" field. Confirm that the field only accepts digits or
digits followed by a decimal and two digits.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2021-03-05 12:51:45 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 15 Fridolin Somers 2021-03-12 07:50:58 UTC
I've dediced not pushed to 20.11.x changes for ACC2